﻿
.SearchBar{padding:3px 8px 3px 0px;box-sizing: border-box; position:relative;}

/*Types*/
.SearchBar.style-1{border-bottom: 1px solid rgba(0,0,0,0.05);}
.SearchBar.style-2{border-bottom: 1px solid rgba(0,0,0,0.05);}
.SearchBar.style-2.style-7{background: #181818;}
/*End*/

.SearchBar .onesearch-div-container{width:100%;}
.SearchBar .onesearch-div.mdl-textfield{padding:0;height:100%;width:calc(100% - 48px);margin:0 16px 0 32px;position:relative;background:rgba(255,255,255,0.06);}
.SearchBar .onesearch-div.mdl-textfield input[type="text"]{padding: 8px 0px 0 6px; height:100%;box-sizing:border-box;}
.SearchBar .onesearch-div.mdl-textfield:before,.SearchBar .onesearch-div.mdl-textfield:after{content:"";position:absolute;width:1px;height:100%;background:rgba(0,0,0,.12);top:0;}
.SearchBar .onesearch-div.mdl-textfield:before{left:-32px;border-left:none!important;}
.SearchBar .onesearch-div.mdl-textfield:after{display:none;}
.SearchBar .onesearch-div.mdl-textfield:before{content:"search";font-family: 'Material Icons';text-rendering: optimizeLegibility;font-feature-settings: "liga" 1;font-style: normal;text-transform: none;line-height: 42px;font-size: 24px;width: 24px;padding:0 0 0 4px;display: inline-block;overflow: hidden;-webkit-font-smoothing: antialiased;-moz-osx-font-smoothing: grayscale;background:none;border-left:1px solid rgba(0,0,0,0.12);color:var(--secondary-color-500);}
.SearchBar .onesearch-div.mdl-textfield .mdl-textfield__label{top:9px;left:8px;overflow:hidden;text-overflow:ellipsis;max-width:100%;font-weight: 400;width: calc(100% - 12px);}
.SearchBar .onesearch-div.mdl-textfield:not(.is-focused):not(.is-dirty) .mdl-textfield__label{font-size:12px;}

.SearchBar .onesearch-div.mdl-textfield .mdl-textfield__label:after{bottom:0px;}
.SearchBar .onesearch-div.mdl-textfield .mdl-textfield__label~i:before{content:attr(data-item-count);position:absolute;display:block;left:-16px;background:rgb(236, 22, 74);border-radius:50%;width:14px;height:14px;font-size:10px;text-align:center;line-height:14px;bottom:16px;color:rgba(255,255,255,0.96);font-style:normal;font-weight:500;}
.SearchBar .onesearch-div.mdl-textfield .mdl-textfield__label~i[data-item-count="0"]:before{display:none;}
.SearchBar .rt-div,.SearchBar .rt-div~.onesearch-div-container{height:100%;display:inline-block;}
.SearchBar .rt-div{position:relative;width:68px;display:inline-flex;top: 0px;}
.SearchBar .rt-div~.onesearch-div-container{width:calc(100% - 72px);display:inline-flex;}
.SearchBar .rt-div:after,.SearchBar .rt-div:before{content:"";position:absolute;width:100%;height:4px;background:rgba(0,0,0,0.1);}
.SearchBar .rt-div:after{height:3px;}
.SearchBar .rt-div:after{top:calc(100%);}
.SearchBar .rt-div:before{bottom:100%;}
.SearchBar .rt-div .mdl-selectfield{padding:0;height:100%;background:rgba(0,0,0,0.1);}
.SearchBar .rt-div .mdl-selectfield select{height:100%;display:none;}
.SearchBar .rt-div .mdl-selectfield .mdl-selectfield__box{bottom:0;top:0;border-bottom:none;}
.SearchBar .rt-div .mdl-selectfield .mdl-selectfield__box .mdl-selectfield__box-value{top: 8px;font-size: 12px;text-transform:uppercase;color:inherit;font-weight:500;left:16px;}
.SearchBar .rt-div .mdl-selectfield .mdl-selectfield__list-option-box{top:calc(100% + 4px);}
.SearchBar .rt-div .mdl-selectfield .mdl-selectfield__box .mdl-selectfield__box-value:after{content: "\E313";box-sizing: border-box;display: inline-flex;font-family: "Material Icons";font-size: 20px;height: 100%;padding: 0;vertical-align: middle;width: auto;}
.SearchBar .rt-div .mdl-selectfield .mdl-selectfield__box>i{width:20px;margin-top:-11px;color:rgba(86, 36, 73, 0.96);width:38px;display:none;}
.SearchBar .agora-dropdown-handle{font-size:12px;padding:0 2px 0 8px;min-width:0;font-weight: 500;}
.SearchBar .agora-dropdown-handle::after {content: "\E313";box-sizing: border-box;display: inline-flex;font-family: "Material Icons";font-size: 20px;height: 100%;padding: 0;vertical-align: middle;width: auto;font-weight: 500;}
.SearchBar .actions .mdl-button{min-width:0;box-shadow: none;}
.SearchBar.search-bar-fixed{ position:fixed; top:0; background:#fff;z-index:10 }
.SearchBar .open-action {display:none;margin-left:4px;margin-right:4px;min-width:initial;padding-left:8px;padding-right:8px;}
.SearchBar .open-action:first-child{text-decoration:underline;}
.SearchBar .range-search{padding-top:0;padding-bottom:0;}
.SearchBar .range-search .mdl-textfield{padding-top:0;padding-bottom:0;}
.SearchBar .range-search .mdl-textfield label{top:4px;}
.SearchBar .range-search .mdl-textfield label:after{bottom:0;}
.SearchBar .range-search>.mdl-cell>label{font-size:12px;color:rgb(26, 26, 29);}
.SearchBar .range-search label{font-size:14px;}
.SearchBar .range-search>.mdl-grid{padding-top:0;padding-bottom:0;margin-top:0;margin-bottom:0;}
.SearchBar .range-search>.mdl-cell{padding-bottom:0;margin-bottom:0;}
.SearchBar .agora-multibox{display:none!important;}
.SearchBar .mdl-checkbox{height:auto;}
.SearchBar .agora-dropdown .agora-dropdown-content.search-dropdown.style {left: auto;right: 8px;transform-origin:100% 0;}
.SearchBar .agora-dropdown .agora-dropdown-content.search-dropdown.style:before,.SearchBar .agora-dropdown .agora-dropdown-content.search-dropdown.style:after{left:auto;right:8px;}
@media only screen and (min-width:479px) {
.SearchBar .onesearch-div.mdl-textfield input[type="text"]::-webkit-input-placeholder { color: #fff; }
.SearchBar .onesearch-div.mdl-textfield input[type="text"]::-moz-placeholder { color: #fff; }
.SearchBar .onesearch-div.mdl-textfield input[type="text"]:-ms-input-placeholder { color: #fff; }
.SearchBar .onesearch-div.mdl-textfield input[type="text"]:-moz-placeholder { color: #fff; }
}

.SearchBar .Propertytypeselect {-webkit-border-radius: 5px;-moz-border-radius: 5px;-webkit-appearance:none;-moz-appearance:none;appearance:none;border-radius: 5px;padding: 0;margin: 0;border: 1px solid #ccc;width: 100%;height:30px;border-radius: 3px;color:rgba(0,0,0,0.6); overflow: hidden;background-color: #fff; background: #fff url("/images/arrowdown.gif") no-repeat 90% 50%;background-position:right;}
.SearchBar .Propertytypeselect select {padding: 5px 8px;width: 130%;border: none;box-shadow: none;background-color: transparent;background-image: none;-webkit-appearance: none;-moz-appearance: none;appearance: none;}
.SearchBar .Propertytypeselect select:focus {outline: none;}

.SearchBar .Propertytypeselect{ width: 100%; margin:0px auto; text-indent:7px;margin-bottom: 4px;}
@-moz-document url-prefix(){
.SearchBar .Propertytypeselect{ width: 90.8%; margin:0px auto; text-indent:0 }
}
@media screen and (max-width:1024px) {
.SearchBar .Propertytypeselect { width: 95%; margin: 0px auto 3px; }
}

/*Types*/
.SearchBar.style-1 .onesearch-div.mdl-textfield:before,.SearchBar .onesearch-div.mdl-textfield:after{color:var(--primary-color-500);}
.SearchBar.style-1 .onesearch-div.mdl-textfield .mdl-textfield__label{color:var(--primary-color-500);}
.SearchBar.style-1 .onesearch-div.mdl-textfield input[type="text"]{border-bottom:1px solid #fff;}

.SearchBar.style-1 .agora-dropdown-handle{color:var(--primary-color-500);}

.SearchBar.style-1 .agora-dropdown-handle:after {color:var(--secondary-color-500);}

body:not(.search-bar-opened) .SearchBar.style-1 .onesearch-div.mdl-textfield:before{color:#fff;}

.SearchBar.style-2 .onesearch-div.mdl-textfield:before,.SearchBar .onesearch-div.mdl-textfield:after{color:var(--primary-color-500);}
.SearchBar.style-2 .onesearch-div.mdl-textfield .mdl-textfield__label{color:var(--secondary-color-500);}
.SearchBar.style-2 .onesearch-div.mdl-textfield input[type="text"]{border-bottom:1px solid var(--secondary-color-500);}

.SearchBar.style-2 .agora-dropdown-handle{color:var(--secondary-color-500);}
.SearchBar.style-3 .agora-dropdown-handle,.SearchBar.style-3 .onesearch-div.mdl-textfield input[type="text"]{color:rgb(249,249,249);}
body.search-bar-opened .SearchBar.style-3 .agora-dropdown-handle{color:inherit;}
.SearchBar.style-3 .onesearch-div.mdl-textfield:not(.is-focused):not(.is-dirty) .mdl-textfield__label{color:rgb(249,249,249);}
.SearchBar.style-2 .agora-dropdown-handle:after {color:var(--primary-color-500);}
.SearchBar.style-3 .agora-dropdown-handle:after,.SearchBar.style-3 .onesearch-div.mdl-textfield:before,body:not(.search-bar-opened) .SearchBar.style-3 .onesearch-div.mdl-textfield:before {color:var(--primary-color-100);}
.SearchBar.style-3 .actions a.mdl-button {color: rgb(255, 255, 255)!important;}

body:not(.search-bar-opened) .SearchBar.style-2 .onesearch-div.mdl-textfield:before{color:var(--secondary-color-500);}

/*End*/

@media only screen and (max-width:1024px) { 
body.search-bar-opened .SearchBar.style-3 .onesearch-div.mdl-textfield input[type="text"] {color: inherit;}
.SearchBar{transition: transform 0.3s cubic-bezier(0.4,0,0.2,1);}
body.search-bar-opened .SearchBar.style-3 .onesearch-div.mdl-textfield:not(.is-focused):not(.is-dirty) .mdl-textfield__label {color: inherit;}
.SearchBar>[data-search-form]>.mdl-cell--10-col,.SearchBar>[data-search-form]>.mdl-cell--10-col>.mdl-cell--4-col,.SearchBar>[data-search-form]>.mdl-cell--10-col>.mdl-cell--8-col{width:100%;}
body:not(.search-bar-opened) .SearchBar{padding:4px;}
.SearchBar .cell_button{ margin-top: 6px !important; margin-bottom: 6px !important; }
.SearchBar .agora-dropdown-handle{ width:94%; padding:0 }
.SearchBar .search_show{ display:none }
.SearchBar .Search-Box.hidden_bg:before{ display:none }
.SearchBar .rt-div{display:none;}
.SearchBar .onesearch-div.mdl-textfield {background: #fff;margin: 0;width: 100%;border-radius: 2px;padding: 0 0 8px 0;}
.SearchBar .onesearch-div.mdl-textfield input[type="text"]{padding:16px 0 0 0;}
body:not(.search-bar-opened) .SearchBar .onesearch-div.mdl-textfield {padding:0;}
body:not(.search-bar-opened) .SearchBar .onesearch-div.mdl-textfield input[type="text"]{padding:8px 0 0 48px;}
body:not(.search-bar-opened) .SearchBar .onesearch-div.mdl-textfield {background:rgba(125,123,125,0.01);padding:8px 0 0 0;}
body:not(.search-bar-opened) .SearchBar .onesearch-div.mdl-textfield label{left:48px;top:10px;max-width: calc(100% - 64px);}
body:not(.search-bar-opened) .SearchBar .onesearch-div.mdl-textfield label{color:rgba(30,24,29,0.96);}
body:not(.search-bar-opened) .SearchBar .onesearch-div.mdl-textfield:before{left:8px;border-left:none;border-right:1px solid rgba(0,0,0,0.16);padding:0 8px 0 0;color:var(--primary-color-500);}
body:not(.search-bar-opened) .SearchBar .onesearch-div.mdl-textfield .mdl-textfield__label ~ i:before {left:16px;top:4px;}
body.search-bar-opened .SearchBar .onesearch-div.mdl-textfield:before{display:none;}
body:not(.search-bar-opened) .SearchBar .onesearch-div.mdl-textfield,body:not(.search-bar-opened) .SearchBar .onesearch-div.mdl-textfield:before,body:not(.search-bar-opened) .SearchBar .onesearch-div.mdl-textfield label{color:var(--primary-color-500);}
.SearchBar .Search-Box.mdl-layout--small-screen-only.mdl-grid--no-spacing::before {display: none;}
.SearchBar .Search-Box.fixed-bottom:before{ display:none }
.SearchBar .search-show-if-open{ display:none; }
.SearchBar .search_active_show.search_active_show_ad {position: absolute;top: 43px;background: #fff;z-index: 4;border-bottom: 2px; width:96%; left:0; right:0; margin:0px auto}
.SearchBar.search-bar-fixed > .Search-Box{ display:block !important }
.SearchBar.search-bar-fixed .filter,.SearchBar.search-bar-fixed > .Search-Box.fixed-bottom { display:none !important }
.SearchBar .onesearch-div.mdl-textfield .mdl-textfield__label{ padding-left: 0px; top: 8px; }
.SearchBar .onesearch-div.mdl-textfield input[type="text"]{border-bottom:none }
.SearchBar .search-button-div{ display:none }
body.search-bar-opened .SearchBar{ position:fixed; left:0; top:0; background:rgba(255, 255, 255, 1)!important; width:100%; height:100%; z-index: 999; overflow-y: auto; overflow-x: hidden;padding:4px 1px;}
body.search-bar-opened .SearchBar .search-button-div { position: fixed; bottom:0px; text-align: left; display: flex;display:-webkit-flex; width: 100%; left: 0px;background:rgba(255,255,255,0.96);z-index:999;box-shadow:0px -2px 3px rgba(0,0,0,0.16);padding:4px 0;}
body.search-bar-opened .SearchBar .search-button-div #tooltip_savesearchbutton_default{ z-index:4; pointer-events:all }
body.search-bar-opened header .mdl-layout__header-row,body.search-bar-opened .mdl-layout__drawer-button{opacity:0;visibility:hidden;}
body.search-bar-opened .SearchBar .search-show-if-open,body.search-bar-opened .SearchBar .open-action{display:flex;display:-webkit-flex;}
body:not(.search-bar-opened) .SearchBar .rt-div+.onesearch-div-container{width:100%;}
body.search-bar-opened .SearchBar .rt-div{display:inline-flex;height: 43px;}
body.search-bar-opened .SearchBar .rt-div:after,body.search-bar-opened .SearchBar .rt-div:before{display:none;}
body.search-bar-opened header{display:none!important;}
.SearchBar .agora-dropdown .agora-dropdown-content.search-dropdown.tablet-right { left: 0; right: 0; transform-origin: 0% 0%; -ms-transform-origin: 0% 0%; -o-transform-origin: 0% 0%;  -webkit-transform-origin: 0% 0%;  -moz-transform-origin: 0% 0%;  }
.SearchBar .agora-dropdown .agora-dropdown-content.search-dropdown.left_more { left: -20px; }
.SearchBar .agora-dropdown .agora-dropdown-content.search-dropdown.left_more::before { left: 33px; }
.SearchBar .agora-dropdown .agora-dropdown-content.search-dropdown.left_more::after { left: 32px; }
.SearchBar .agora-dropdown-handle{background: #ccc;}

/*Types*/

body .SearchBar.style-1 .onesearch-div.mdl-textfield input[type="text"]{color:var(--primary-color-500);border-bottom:none;}
body .SearchBar.style-2 .onesearch-div.mdl-textfield input[type="text"]{color:var(--secondary-color-500);border-bottom:none;}

/*End*/

}
 @media (max-width:542px) and (min-width:481px) { 
.SearchBar .agora-dropdown .agora-dropdown-content.search-dropdown.left_more { left: -65px; }
}
.agora-dropdown{position:relative;}
.agora-dropdown>input{display:none;}
.agora-dropdown .agora-dropdown-content{position:absolute;background:#fff;min-width:183px;border-radius: 2px;box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);transform: scale(0);transition: transform 0.3s cubic-bezier(0.4, 0, 0.2, 1) 0s, opacity 0.2s cubic-bezier(0.4, 0, 0.2, 1) 0s;opacity:0;transform-origin:0 0;}
.agora-dropdown>input:checked~.agora-dropdown-content{transform:scale(1);opacity:1;z-index:999;}
.agora-dropdown .agora-dropdown-content .mdl-menu__item{opacity:1;}
.agora-dropdown .agora-dropdown-content .mdl-menu__item input{display:none;}
.agora-dropdown .agora-dropdown-content .mdl-menu__item label{display:inline;}
.agora-dropdown .agora-dropdown-content .mdl-checkbox__label{font-size:13px;text-transform: capitalize;}
.agora-dropdown .agora-dropdown-content  [data-search-name-label="Type"] .mdl-checkbox__label{text-transform: none;}
.agora-dropdown .agora-dropdown-content.search-dropdown ul{padding:0;margin:0;width:100%;list-style:none;}
.agora-dropdown .agora-dropdown-content.search-dropdown ul li{padding:6px 8px;cursor:pointer;}
.agora-dropdown .agora-dropdown-content.search-dropdown ul li:hover{background:rgba(119, 130, 140,0.1);}
.agora-dropdown .agora-dropdown-content.search-dropdown{margin-top:8px;}
.agora-dropdown .agora-dropdown-content.search-dropdown.beds,.agora-dropdown .agora-dropdown-content.search-dropdown.baths{min-width:80px;}
.agora-dropdown .agora-dropdown-content.search-dropdown.price{min-width:240px;}
.agora-dropdown .agora-dropdown-content.search-dropdown.city{min-width:280px;}
.agora-dropdown .agora-dropdown-content.search-dropdown.style{min-width:580px;}
x.agora-dropdown .agora-dropdown-content.search-dropdown.style li{width:24%;display:inline-block;box-sizing:border-box;padding: 2px 4px;}

.agora-dropdown .agora-dropdown-content.search-dropdown.style  ul {display: flex;flex-wrap: wrap;height:500px;overflow-y:scroll}
.agora-dropdown .agora-dropdown-content.search-dropdown.style  ul  li {flex-grow: 1;width:24%;}
@media only screen and (min-width:1024px){
.agora-dropdown .agora-dropdown-content.search-dropdown.style  ul {	max-height: calc(100vh - 240px);}
body.company .SearchBar .agora-dropdown-content.search-dropdown.tablet-right {min-width: 400px;}
}
@media (max-width:640px) and (min-width:480px){
.agora-dropdown .agora-dropdown-content.search-dropdown.style  ul  li {width:31%;}
}
.agora-dropdown .agora-dropdown-content.search-dropdown:before {content: "";width: 0;height: 0;border-left: 6px solid transparent;border-right: 6px solid transparent;border-bottom: 6px solid #fff;position:absolute;top:-6px;left:8px;}
.agora-dropdown .agora-dropdown-content.search-dropdown:after {content: "";width: 0;height: 0;border-left: 7px solid transparent;border-right: 7px solid transparent;border-bottom: 7px solid rgba(0,0,0,0.08);position:absolute;top:-7px;left:7px;z-index:-1;}

@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
.agora-dropdown .agora-dropdown-content.search-dropdown.price,.agora-dropdown .agora-dropdown-content.search-dropdown{width:240px;}
}

@media only screen and (max-width:1024px) {    
    .SearchBar .cell_button,.SearchBar .open-bar{width:100%!important;}
    .SearchBar .open-bar~.open-bar{padding-bottom:48px;}
    .SearchBar .agora-dropdown-handle{ width:100%;background:none;border-bottom:1px solid rgba(0,0,0,0.05);height:auto;box-sizing:border-box;text-align:left;padding:4px 8px;}
    .SearchBar .search-show-if-open{border-top:1px solid rgba(0,0,0,0.05);}
    .SearchBar .agora-dropdown .agora-dropdown-content{position:relative;margin-top:0;box-shadow:none;background:rgba(0,0,0,0.02);max-height:0;transform:scale(1);overflow:hidden;}
    .SearchBar .agora-dropdown>input:checked~.agora-dropdown-content{max-height:initial;}
    .SearchBar .agora-dropdown>input:checked~.agora-dropdown-content .mdl-button--primary{display:none;}
    .SearchBar .agora-dropdown .agora-dropdown-content.search-dropdown:before,.SearchBar .agora-dropdown .agora-dropdown-content.search-dropdown:after{display:none;}
    .SearchBar .agora-dropdown .agora-dropdown-content.search-dropdown.left_more,.SearchBar .agora-dropdown .agora-dropdown-content.search-dropdown{left:0;}
    .SearchBar .cell_button{margin:0!important;}
    .SearchBar .agora-dropdown-handle:after{right:8px;position:absolute;content:"\E145";transition: all 0.3s cubic-bezier(0.4,0,0.3,0.2);transform-origin:50% 40%;}
    .SearchBar .agora-dropdown>input:checked~.agora-dropdown-handle:after{transform:rotate(45deg);}
    .SearchBar .onesearch-div.mdl-textfield .mdl-textfield__label{padding-left:0px;}
    .SearchBar .onesearch-div.mdl-textfield input[type="text"]{padding-left:8px;}
}

@media only screen and (max-width:480px) {
x.agora-dropdown .agora-dropdown-content.search-dropdown.style  ul { max-height: calc(100vh - 145px); }
.agora-dropdown .agora-dropdown-content.search-dropdown{left:8px;}
.agora-dropdown .agora-dropdown-content.search-dropdown.phone-right {left: auto;right: 8px;transform-origin:100% 0;}
.agora-dropdown .agora-dropdown-content.search-dropdown.phone-right:before{left:auto;right:8px;}
.agora-dropdown .agora-dropdown-content.search-dropdown.style li{width:100%!important; display:block}


}
@media only screen and (max-width:1024px) {
.agora-dropdown .agora-dropdown-content.search-dropdown{left:8px;}
.agora-dropdown .agora-dropdown-content.search-dropdown.tablet-right {left: auto;right: 8px;transform-origin:100% 0;}
.agora-dropdown .agora-dropdown-content.search-dropdown.tablet-right:before,.agora-dropdown .agora-dropdown-content.search-dropdown.tablet-right:after{left:auto;right:8px;}
}
@media only screen and (max-width:840px) {
    .SearchBar .rt-div{
        top: 0px;
    }
    .SearchBar .rt-div .mdl-selectfield .mdl-selectfield__box .mdl-selectfield__box-value{
        top:12px;
    }
}
.SearchBar .onesearch-wrapper{display: -webkit-box;display: -webkit-flex;display: -ms-flexbox;display: flex;-webkit-flex-flow: row wrap;-ms-flex-flow: row wrap;flex-flow: row wrap;-webkit-box-align: stretch;-webkit-align-items: stretch;-ms-flex-align: stretch;align-items: stretch;}
.SearchBar .actions .if-search-active{display:none;box-shadow:none;}
body:not(.property-search).float-search-bar .SearchBar .actions .if-search-active,body:not(.property-search).float-search-bar-click .SearchBar .actions .if-search-active{display:block;}

.SearchBar.style-4 .rt-div{width:104px;}
.SearchBar.style-4 .rt-div .mdl-selectfield .mdl-selectfield__box .mdl-selectfield__box-value {color: rgba(255,255,255,0.96);}
.SearchBar.style-4 .rt-div .mdl-selectfield .mdl-selectfield__box .mdl-selectfield__box-value::after {content: "\E313";box-sizing: border-box;display: inline-flex;font-family: "Material Icons";font-size: 20px;height: 100%;padding: 0;vertical-align: middle;width: auto;}
.SearchBar.style-4 .rt-div .mdl-selectfield{background: rgba(255,255,255,0.06);margin-left:10px;}
.SearchBar.style-4 .rt-div~.onesearch-div-container{width: calc(100% - 105px);}
.SearchBar.style-4 .onesearch-div.mdl-textfield{margin: 0 16px 0 0px;}
.SearchBar.style-4 .onesearch-div.mdl-textfield:before{opacity:0;}

.SearchBar.style-3 .rt-div{width:120px;}
.SearchBar.style-3 .rt-div .mdl-selectfield .mdl-selectfield__box .mdl-selectfield__box-value {color: rgba(255,255,255,0.96);}
.SearchBar.style-3 .rt-div .mdl-selectfield .mdl-selectfield__box .mdl-selectfield__box-value::after {content: "\E313";box-sizing: border-box;display: inline-flex;font-family: "Material Icons";font-size: 20px;height: 100%;padding: 0;vertical-align: middle;width: auto;}
.SearchBar.style-3 .rt-div .mdl-selectfield{background: rgba(255,255,255,0.06);margin-left:10px;}
.SearchBar.style-3 .rt-div~.onesearch-div-container{width: calc(100% - 120px);}
.SearchBar.style-3 .onesearch-div.mdl-textfield{margin: 0 16px 0 0px;}
.SearchBar.style-3 .onesearch-div.mdl-textfield:before{opacity:0;}


.company-13 .SearchBar.style-1 .agora-dropdown-handle,.company-13 .SearchBar.style-1 .onesearch-div.mdl-textfield .mdl-textfield__label{color: rgb(255, 255, 255);}
.company-13 .SearchBar.style-1 .agora-dropdown-handle:after{color:#fff;}
.company-13 .SearchBar.style-1 .onesearch-div.mdl-textfield input[type="text"] {color: var(--primary-color-500);}
body.company-13 .SearchBar.style-1 .search-button-div.actions a.mdl-button {color: var(--secondary-color-500) !important;}
@media only screen and (max-width: 1024px){
.company-13.search-bar-opened .SearchBar.style-1 .agora-dropdown-handle, .company-13.search-bar-opened .SearchBar.style-1 .onesearch-div.mdl-textfield .mdl-textfield__label {color: var(--secondary-color-500);}
}
/*rpf*/
.SearchBar.style-2.style-5 .agora-dropdown-handle{color:var(--primary-color-500);}
.SearchBar.style-2.style-5 .onesearch-div.mdl-textfield .mdl-textfield__label {color: var(--primary-color-500);}
.SearchBar.style-2.style-5 .onesearch-div.mdl-textfield input[type="text"] {border-bottom: 1px solid var(--primary-color-500);}
/*rpf*/

.SearchBar.style-2.style-6 .onesearch-div.mdl-textfield::before{opacity: 0;}
.SearchBar.style-2.style-6 .rt-div::after, .SearchBar.style-2.style-6 .rt-div::before, .SearchBar.style-2.style-6 .rt-div .mdl-selectfield {background:none!important;}
.SearchBar.style-2.style-6 .onesearch-div.mdl-textfield {margin: 0 16px 0 0;}
.SearchBar.style-2.style-6 .rt-div{width: 120px;}
.SearchBar.style-2.style-6 .rt-div ~ .onesearch-div-container {width: calc(100% - 120px);}

.SearchBar.style-1.style-6 .onesearch-div.mdl-textfield::before{opacity: 0;}
.SearchBar.style-1.style-6 .rt-div::after, .SearchBar.style-1.style-6 .rt-div::before, .SearchBar.style-1.style-6 .rt-div .mdl-selectfield {background:none!important;}
.SearchBar.style-1.style-6 .onesearch-div.mdl-textfield {margin: 0 16px 0 0;}
.SearchBar.style-1.style-6 .rt-div{width: 120px;}
.SearchBar.style-1.style-6 .rt-div ~ .onesearch-div-container {width: calc(100% - 120px);}

@media only screen and (max-width:1024px){
.property-search.with-search-bar.search-bar-opened section.SearchBar.style-1 .mdl-grid.mdl-cell.mdl-cell--9-col{width:100%;}
.property-search.with-search-bar.search-bar-opened section.SearchBar.style-1 .mdl-grid.mdl-cell.mdl-cell--9-col .mdl-cell.mdl-cell--4-col{width:100%;}
.property-search.with-search-bar.search-bar-opened section.SearchBar.style-1 .mdl-grid.mdl-cell.mdl-cell--9-col .mdl-cell.mdl-cell--8-col{width:100%;}
}

@media only screen and (min-width:1024px) and (max-width:1200px){
.property-search section.SearchBar.style-1 .Search-Box .actions a.mdl-button i.material-icons{display:none;}
.property-search section.SearchBar.style-1 .Search-Box .actions [data-material-icon]:before{display:none;}
}
@media only screen and (max-width:480px){
.property-search.with-search-bar.search-bar-opened section.SearchBar.style-1 .actions a.mdl-button i.material-icons{display:none;}
.property-search.with-search-bar.search-bar-opened section.SearchBar.style-1 .actions [data-material-icon]:before{display:none;}
.property-search.with-search-bar.search-bar-opened section.SearchBar.style-1 .actions .mdl-button:not(.mdl-button--icon) {
    font-size: 0.7rem;
}
}
@media only screen and (max-width:1024px){
.property-search section.SearchBar.style-1 .Search-Box .onesearch-wrapper .onesearch-div-container .mdl-textfield{height:30px;}
.property-search.with-search-bar.search-bar-opened section.SearchBar.style-1 .Search-Box .onesearch-wrapper .onesearch-div-container .mdl-textfield{height:40px;}
}


section.SearchBar.style-3 .onesearch-wrapper .onesearch-div-container .mdl-textfield.is-dirty .mdl-textfield__label, section.SearchBar.style-3 .onesearch-wrapper .onesearch-div-container .mdl-textfield.is-focused .mdl-textfield__label, section.SearchBar.style-3 .onesearch-wrapper .onesearch-div-container .mdl-textfield.is-dirty .mdl-selectfield__label, section.SearchBar.style-3 .onesearch-wrapper .onesearch-div-container .mdl-textfield.is-focused .mdl-selectfield__label {
    color: rgba(255, 255, 255, 0.8);
}